/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import domain.Product;
import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;


/**
 *
 * @author hardebolle
 */
@ManagedBean(name="productController")
@SessionScoped
public class ProductController implements Serializable {

    private Product currentProduct;
    
    public ProductController(){
        this.currentProduct = new Product();
    }
        
    @Size(min=2,max=50)
    public String getProductName() {
        return this.currentProduct.getName();
    }

    public void setProductName(String n) {
        this.currentProduct.setName(n);
    }
    
    @Min(value=0)
    public Double getProductPrice(){
        return this.currentProduct.getPrice();
    }
    
    public void setProductPrice(Double p){
        this.currentProduct.setPrice(p);
    }
    
    public Product getCurrentProduct(){
        return this.currentProduct;
    }
    
    public String viewProduct(Product item){
        this.currentProduct = item;
        return "product-view";
    }
    
    public String createProduct(){
        this.currentProduct = new Product();
        return "secured/product-create?faces-redirect=true"; // redirection sinon la vue est rendue malgré le controle d'acces
    }
}
